Bug 2249 - Установка драйверов alsa не влечёт за собой установку средств сохранения уровня громкости
: Установка драйверов alsa не влечёт за собой установку средств сохранения уров...
Status: CLOSED FIXED
: ALT Linux 2.4
(All bugs in ALT Linux 2.4/altlinux-release)
: 2.4
: all Linux
: P1 major
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2003-02-17 01:58 by
Modified: 2008-09-16 15:16 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2003-02-17 01:58:56
Необходимо добавить зависимость alsa от amixerа, который должен запоминать
установленную громкость каналов при перезагрузке. Без этого alsa практически не
работает.
---

---
------- Comment #1 From 2003-02-17 09:44:13 -------
Что за бред?
------- Comment #2 From 2003-02-17 09:44:13 -------
Что за бред?
------- Comment #3 From 2003-02-17 17:14:06 -------
Установка драйверов ALSA не должна влечь за собой установку любого софта, без
которого эти драйвера прекрасно функционируют.

У меня kmixer отлично справляется с изменением громкости при загруженных alsa
драйверах.
------- Comment #4 From 2003-02-17 17:14:06 -------
Установка драйверов ALSA не должна влечь за собой установку любого софта, без
которого эти драйвера прекрасно функционируют.

У меня kmixer отлично справляется с изменением громкости при загруженных alsa
драйверах.
------- Comment #5 From 2003-02-17 18:49:56 -------
Нет, батенька, это у Вас температура... 

gnome-volume-control тоже всё это делает, но только ВРУЧНУЮ.

В init скриптах, в файле /etc/rc.d/init.d/sound прописан вызов aumix. 
Aumix необходим для автоматического сохранения данных о громкости
и балансе, чтобы kmixer и прочее не приходилось дёргать каждый раз.
Так было испокон веков.  Можно прописать другую программу, но эту 
рекомендовали когда-то разработчики alsa.

------------------------------------------------------------------------------------------------
function start_mixer()
{
	if [ -n \"$AUMIX\" -a \"$RETVAL\" -eq 0 ] && LookupDevices; then
		if [ -s /etc/.aumixrc ]; then
			action \"Loading mixer settings:\" \"$AUMIX\" -f /etc/.aumixrc -L
		elif [ -n \"$SOUND_ALSA\" ]; then
			action \"Loading mixer settings:\" \"$AUMIX\" -v90 -w90
		fi
	fi
}

function stop_mixer()
{
	if [ -n \"$AUMIX\" ] && LookupDevices; then
		action \"Saving mixer settings:\" \"$AUMIX\" -f /etc/.aumixrc -S
	fi    
}
------- Comment #6 From 2003-02-17 18:49:56 -------
Нет, батенька, это у Вас температура... 

gnome-volume-control тоже всё это делает, но только ВРУЧНУЮ.

В init скриптах, в файле /etc/rc.d/init.d/sound прописан вызов aumix. 
Aumix необходим для автоматического сохранения данных о громкости
и балансе, чтобы kmixer и прочее не приходилось дёргать каждый раз.
Так было испокон веков.  Можно прописать другую программу, но эту 
рекомендовали когда-то разработчики alsa.

------------------------------------------------------------------------------------------------
function start_mixer()
{
	if [ -n \"$AUMIX\" -a \"$RETVAL\" -eq 0 ] && LookupDevices; then
		if [ -s /etc/.aumixrc ]; then
			action \"Loading mixer settings:\" \"$AUMIX\" -f /etc/.aumixrc -L
		elif [ -n \"$SOUND_ALSA\" ]; then
			action \"Loading mixer settings:\" \"$AUMIX\" -v90 -w90
		fi
	fi
}

function stop_mixer()
{
	if [ -n \"$AUMIX\" ] && LookupDevices; then
		action \"Saving mixer settings:\" \"$AUMIX\" -f /etc/.aumixrc -S
	fi    
}
------- Comment #7 From 2003-02-17 18:53:01 -------
Aumix по сути дела факультативная, но практически необходимая часть alsa.
Драйвера alsa не могут  полноценно работать без него (или адекватной замены).

\"Правильность с точки зрения здравого смысла\" здесь превыше
\"Правильности технической\".
------- Comment #8 From 2003-02-17 18:53:01 -------
Aumix по сути дела факультативная, но практически необходимая часть alsa.
Драйвера alsa не могут  полноценно работать без него (или адекватной замены).

\"Правильность с точки зрения здравого смысла\" здесь превыше
\"Правильности технической\".
------- Comment #9 From 2003-02-17 20:03:38 -------
Не вижу здравого смысла в зависимости ядра на userspace приложение,
необходимость в котором все-таки сомнительна.
------- Comment #10 From 2003-02-17 20:03:38 -------
Не вижу здравого смысла в зависимости ядра на userspace приложение,
необходимость в котором все-таки сомнительна.
------- Comment #11 From 2003-02-17 20:06:14 -------
нет повода для ошибки.
------- Comment #12 From 2003-02-17 20:06:14 -------
нет повода для ошибки.
------- Comment #13 From 2003-02-17 23:55:14 -------
При установке пакета alsa желательно получить рабочие драйвера и нормально
играющий звук, а не немую машину, которую надо каждый раз руками приводить в
чувство.  Вот и весь здравый смысл. Того, кто хочет раслабиться и слушать
музыку абсолютно не интересует что от чего зависит. Если установщик или некое
средство настройки звука не ставит alsa вместе с необходимыми утилитами, то
проблема остаётся. Для SBLive желательно спрашивать какой драйвер ставить: OSS
или ALSA.

Можно придумать другой путь и обойтись без зависимости.  Первым движением после
обнаружения того, что драйвера работают,  но громкость сбрасывается в ноль,
будет поставить alsa-utils или alsa-tools.  Alsa2-utils содержит amixer,
который теоретически можно бы задействовать.  Догадаться же что системе хочется
aumix гораздо сложнее.

Существует объективная связь между частями одного пакета программ, которая не
укладывается в общую схему категоризации пакетов. Alsa ещё не совсем ядро, а
консольный микшер в данном случае необходим для полноценной работы части ядра.
------- Comment #14 From 2003-02-17 23:55:14 -------
При установке пакета alsa желательно получить рабочие драйвера и нормально
играющий звук, а не немую машину, которую надо каждый раз руками приводить в
чувство.  Вот и весь здравый смысл. Того, кто хочет раслабиться и слушать
музыку абсолютно не интересует что от чего зависит. Если установщик или некое
средство настройки звука не ставит alsa вместе с необходимыми утилитами, то
проблема остаётся. Для SBLive желательно спрашивать какой драйвер ставить: OSS
или ALSA.

Можно придумать другой путь и обойтись без зависимости.  Первым движением после
обнаружения того, что драйвера работают,  но громкость сбрасывается в ноль,
будет поставить alsa-utils или alsa-tools.  Alsa2-utils содержит amixer,
который теоретически можно бы задействовать.  Догадаться же что системе хочется
aumix гораздо сложнее.

Существует объективная связь между частями одного пакета программ, которая не
укладывается в общую схему категоризации пакетов. Alsa ещё не совсем ядро, а
консольный микшер в данном случае необходим для полноценной работы части ядра.
------- Comment #15 From 2003-02-18 11:41:10 -------
Добавим в инсталятор - в случае, если найдено железо для alsa, то будет
устанавливться пакет aumix.

Вопрос о том, какой драйвер ставить сейчас делать никто не будет - в версии 3.0
------- Comment #16 From 2003-02-18 11:41:10 -------
Добавим в инсталятор - в случае, если найдено железо для alsa, то будет
устанавливться пакет aumix.

Вопрос о том, какой драйвер ставить сейчас делать никто не будет - в версии 3.0
------- Comment #17 From 2003-02-18 11:41:29 -------
fixed (Junior 2.2)
------- Comment #18 From 2003-02-18 11:41:29 -------
fixed (Junior 2.2)
------- Comment #19 From 2008-09-16 15:16:02 -------
Извиняюсь за спам - расчистка Sisyphus от непакетных компонентов.
------- Comment #20 From 2008-09-16 15:16:02 -------
*** This bug has been confirmed by popular vote. ***